Chercher dans la FAQ de Swizzonic

Quels modules précompilés sont disponibles pour l’intégration externe?

De nombreux module pour le langage de PHP ont déjà été précompilés et déployé pour l’intégration externe. Vous trouvez ci-dessous une liste des ressources disponibles pour les différentes versions des modules PHP.

Modules disponible pour PHP 4 Modules disponibles pour PHP 5 et PHP 7
  • curl.so
  • imap.so
  • ioncube_loader_lin_4.4.so
  • ldap.so
  • mbstring.so
  • mcrypt.so
  • mime_magic.so
  • ncurses.so
  • pgsql.so
  • sockets.so
  • xmlrpc.so
  • zip.so
  • curl.so
  • imagick.so
  • imap.so
  • intl.so
  • PHP 5.2: ioncube_loader_lin_5.2.so
  • PHP 5.3: ioncube_loader_lin_5.3.so
  • PHP 5.4: ioncube_loader_lin_5.4.so
  • PHP 5.5: ioncube_loader_lin_5.5.so
  • PHP 5.6: ioncube_loader_lin_5.6.so
  • PHP 7.0: ioncube_loader_lin_7.0.so
  • ldap.so
  • mailparse.so
  • mbstring.so
  • mcrypt.so
  • memcache.so (only PHP 5 – from 5.3)
  • mime_magic.so
  • mysqlind.so (already compiled from PHP 5.4)
  • mysqlnd.so (already compiled from PHP 5.4)
  • ncurses.so
  • oauth.so
  • pgsql.so
  • soap.so
  • sockets.so
  • suhosin.so (only PHP 5)
  • suhosin7.so (only PHP 7)
  • tidy.so
  • xmlrpc.so
  • zip.so (already compiled from PHP 5.4)

ATTENTION: Veuillez noter, s’il vous plaît, que la plupart des modules externes ont déjà été compilés dans les éditions php “STANDARD” et “EXTENDED” et ne doivent plus être intégrés. Si vous avez besoin d’un module pour “STANDARD” ou “EXTENDED” nous vous recommandons de vérifier d’abord, si le module correspondant est déjà disponible par défaut.